package com.ruoyi.project.business.enums;

import com.ruoyi.common.exception.ServiceErrorException;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
/**
 * 消息类型（1,2,3为大节点，子类型在1,2,3的后面追加数字）
 */
public enum MessageTypeEnum {
    // 线索
    LEAD("0"),
    // 项目
    PROJECT("1"),
    // 客户
    ACCOUNT("2"),
    // 项目未跟进
    PROJECT_UN_FOLLOW("11"),
    // 审批催办
    ALERT_AUDIT("12"),
    // 非标评审（报价）
    QUOTATION("13"),
    // 议价
    BARGAIN("14"),
    // 报价(创建标准的报价的消息梯形)
    QUOTATION_SUCCESS("15"),
    // 决定日期提醒功能
    PROJECT_DEAL_DAY("18"),
    // 签约到期提醒功能
    AGENT_CONTRACT_DAY("19");
    private String value;

    public static MessageTypeEnum from(String value) {
        for (MessageTypeEnum nodeTypeEnum : values()) {
            if (nodeTypeEnum.getValue().equals(value)) {
                return nodeTypeEnum;
            }
        }
        throw new ServiceErrorException("非法节点类型状态");
    }
}
